%define name		smb4k
%define version		0.6.3
%define rel	 	1

# compatability macros
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define lib_name_orig %mklibname smb4k
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


%define __libtoolize /bin/true

Summary:	A KDE SMB share browser
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
Source:		http://download.berlios.de/smb4k/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Other
Url:		http://smb4k.berlios.de
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	samba-client
BuildRequires:	kdelibs-devel kdebase-devel
BuildRequires:	autoconf2.5
Requires:	%lib_name = %version-%release

%description
An SMB network and share browser for KDE 3.1 or later.

%package -n %lib_name-devel
Summary:	Headers files for smb4k
Group:		Development/KDE and Qt

Provides:	smb4k-devel = %epoch:%version-%release

Provides:	%lib_name_orig-devel = %version-%release
Requires:       %lib_name = %version-%release

%description -n %lib_name-devel
Headers files for smb4k.


%package -n %lib_name
Summary:	Lib files for smb4k
Group:		Development/KDE and Qt


%description -n %lib_name
Lib files for smb4k.



%prep
%setup -q

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%{?__cputoolize: %{__cputoolize} }

%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--disable-rpath \
		--enable-final

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

# Menu
mkdir -p %{buildroot}/%{_menudir}
kdedesktop2mdkmenu.pl smb4k "Internet/File Transfer" %{buildroot}/%{_datadir}/applications/kde/smb4k.desktop %{buildroot}/%{_menudir}/smb4k

# Icons
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/crystalsvg/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

# Fix KDE's absolute symlinks
pushd %{buildroot}/%{_defaultdocdir}/HTML/en/%{name}
mkdir -p ../common
ln -sf ../common
popd

#remove buildroot path from libtool files:
perl -pi -e  "s,-L$RPM_BUILD_DIR\S+,,g" %{buildroot}/%{_libdir}/kde3/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}*
%{_menudir}/%{name}
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/smb4k
%{_datadir}/doc/HTML/en/smb4k
%{_iconsdir}/crystalsvg/*/apps/smb4k.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_datadir/apps/konqsidebartng/add/smb4k_add.desktop


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/kde3/konqsidebar_smb4k.la
%_libdir/kde3/konqsidebar_smb4k.so

%_libdir/libsmb4kcore.la
%_libdir/libsmb4kcore.so.*
%_libdir/libsmb4kwidgets.la
%_libdir/libsmb4kwidgets.so.*


%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*.h
%_libdir/libsmb4kcore.so
%_libdir/libsmb4kwidgets.so

%changelog
* Wed Aug 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1
- 0.6.3

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2
- Add patch1: disable ok button when smb url is empty

* Mon Aug 29 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1
- New release (security fix)
- Fix compile under x86_64

* Mon Aug 01 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1
- update compatability macros, remove unused macros, fix source url
- run ldconfig in lib package scriplets
- make devel package require lib package
- remove buildroot path from libtool files

* Mon Jul 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 2 0.6.0
- Fix build on x86_64

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 1 0.6.0
- 0.6.0

* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Tue Apr 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

* Wed Jan 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-2mdk
- Texstar->Mandrake
- Cleanups

* Thu Nov 19 2003 Texstar
- Change name in menu to Local Network Browser
- Update to new version 0.3.1

* Thu Oct 23 2003 Texstar
- Update to version 0.3.0a

* Sat Jun 28 2003 Texstar
- New update to fix win98 share lookup

* Fri Jun 27 2003 Texstar
- New Release bug fixes

* Sat Jun 14 2003 Texstar
- Rebuild without libsmbclient rpms installed

* Fri Jun 13 2003 Texstar
- Initial Build for Mandrake 9.1
